View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010625ParaViewFeaturepublic2010-04-27 20:432015-06-17 17:07
ReporterAlan Scott 
Assigned ToUtkarsh Ayachit 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version4.4Fixed in Version 
Summary0010625: Selecting enhancements
DescriptionA few ideas for enhancements for picking:
* Allow select to find the nearest point on the surface of an object, rather than having to go surface with edges, then rubber band select a point, then turn surface with edges back off. Turn this mode on by default.
* Allow select to either select once (current behavior), or turn on and stay on. When this mode is selected, as a user moves the mouse across a surface, the selected object will change. This would be used with cell or point labels turned on.
TagsNo tags attached.
ProjectSandia
Topic Name
Typeincorrect functionality
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to 0015306closedUtkarsh Ayachit Add mechanism to "pick nearest point" on the surface 
related to 0015309closedDan Lipsa Interactive surface selection 

-  Notes
(0029667)
Alan Scott (manager)
2012-11-07 22:13

This needs to be done. A user is asking for this.
(0034571)
Utkarsh Ayachit (administrator)
2015-06-17 14:10

Alan,

If I understand correctly, (1) as same as BUG 0015306. Correct?

Also, isn't (2) same as interactive selection? That what the new interactive selection modes do. You should be able to use the "Selection Display Inspector" to choose how to label the selection.
(0034574)
Alan Scott (manager)
2015-06-17 16:09

Correct. The first bullet is covered by (closed) bug http://www.paraview.org/Bug/view.php?id=15306, [^] and the second is covered by interactive selection. As soon as the second bug is closed, this master one gets closed. To quote a user that just saw what we have, this is a game changer.
(0034581)
Alan Scott (manager)
2015-06-17 17:07

As listed in the attached two bugs, which were closed, this feature request has been implemented. Closing.

- Issue History
Date Modified Username Field Change
2010-04-27 20:43 Alan Scott New Issue
2010-06-10 14:41 Utkarsh Ayachit Target Version 3.8.2 => 3.10
2010-09-01 11:27 Utkarsh Ayachit Target Version 3.10 => 3.10.shortlist
2011-06-16 13:10 Zack Galbreath Category Feature Request => Feature
2012-11-07 22:13 Alan Scott Status expired => backlog
2012-11-07 22:13 Alan Scott Resolution open => reopened
2012-11-07 22:13 Alan Scott Note Added: 0029667
2012-11-07 22:13 Alan Scott Status backlog => todo
2012-11-07 22:14 Alan Scott Project => Sandia
2012-11-07 22:14 Alan Scott Type => incorrect functionality
2012-11-07 22:14 Alan Scott Priority normal => high
2012-12-11 09:41 Sebastien Jourdain Assigned To => David Thompson (old)
2013-10-31 11:28 Utkarsh Ayachit Assigned To David Thompson (old) =>
2013-10-31 11:29 Utkarsh Ayachit Assigned To => Utkarsh Ayachit
2013-10-31 11:29 Utkarsh Ayachit Status todo => backlog
2014-01-16 17:02 Utkarsh Ayachit Target Version => 4.2
2014-11-14 22:52 Utkarsh Ayachit Target Version 4.2 => 4.4
2015-06-17 14:04 Alan Scott Relationship added related to 0015306
2015-06-17 14:10 Utkarsh Ayachit Note Added: 0034571
2015-06-17 16:07 Alan Scott Relationship added related to 0015309
2015-06-17 16:09 Alan Scott Note Added: 0034574
2015-06-17 17:07 Alan Scott Note Added: 0034581
2015-06-17 17:07 Alan Scott Status backlog => closed
2015-06-17 17:07 Alan Scott Resolution reopened => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker